Table of Contents

Class: TendrilFactory | Twisted-0.19.0/twisted/words/tendril.py
--- | ---
I build Tendril clients for a words service.
Base Classes |
--- | ---
protocol.ClientFactory reflect.Accessor
Methods |
--- | ---
__getstate__ __init__ buildProtocol get_errorGroup set_errorGroup set_groupList set_helptext set_nickname set_wordsService
| __getstate__
    __getstate__ ( self )
| __init__
    __init__ ( self,  service )
Initialize this factory with a words service.
| buildProtocol
    buildProtocol ( self,  addr )
| get_errorGroup
    get_errorGroup ( self )
| set_errorGroup
    set_errorGroup ( self,  errorGroup )
| set_groupList
    set_groupList ( self,  groupList )
| set_helptext
    set_helptext ( self,  helptext )
| set_nickname
    set_nickname ( self,  nick )
| set_wordsService
    set_wordsService ( self,  service )
Exceptions |
--- | ---
TypeError, "%s.wordsService is a read-only attribute." %( repr( self ), )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0